shader = require 'spotball'

function love.load()
	wd, ht = 800, 600
	love.window.setMode( wd, ht, {} )
	gt = 0
	love.window.setTitle( 'Spotlight on Ball' )
	screen = { wd, ht}
	love.mouse.setPosition( wd/2, ht/2 )
	shader.effect:send( 'screen', screen )
	colorB = {0.0,0.0,0.8}	-- ball color
	shader.effect:send( 'clrB', colorB )
	colorS = {0.2,0.2,0.2}	-- screen color
	shader.effect:send( 'clrS', colorS )
	end

function love.update( dt )
	gt = gt + dt
	shader.effect:send( 'time', gt )
	mx, my = love.mouse.getPosition()
	end

function love.draw()
	love.graphics.setColor(255,255,255,255)
	love.graphics.setShader( shader.effect )
	love.graphics.rectangle( "fill", 0, 0, wd, ht )
	love.graphics.setShader()

	love.graphics.setColor( 255, 255, 255, 255 )
	love.graphics.print( 'fps: '..love.timer.getFPS(), 5, 0 )
	end

function love.keypressed( key )
	if key == 'escape'	then love.event.push( 'quit' )	end
	end
