local spotball={}
spotball.effect = love.graphics.newShader[[
extern number time;
extern vec2 screen;
extern vec3 clrB;
extern vec3 clrS;

number radius = 0.25;		// ball diameter
vec3 light = vec3(0.0,0.0,-1.0);
vec3 sphereCenter = vec3(0);

vec4 getColor(vec3 normal)
{
	light = normalize(light - sphereCenter);
	number diffuse = dot(normal, light);
	number specular = pow(diffuse, 64.0);
	vec4 clr = vec4(vec3(diffuse + specular) * clrB, 1.0);
	return clr;
}

vec4 effect( vec4 color, Image tex, vec2 tc, vec2 pc )
{
	vec2 pix = (pc.xy - screen.xy / 2.0) / screen.x;
	vec3 pos = vec3(pix,-1.0);
	vec3 dir = normalize(vec3(pix.x, pix.y, 1.0));

	sphereCenter = vec3(0.0);
	light = normalize(vec3(sin(time), cos(time), -1));	// spot position
	pos -= sphereCenter;

	vec4 clr = vec4(0.0);

	number b = 2.0 * dot(pos,dir);		//effects ball size
	number c = dot(pos,pos) - radius;

	number discr = b*b - 4.0*c;
	if (discr < 0.0)
	{
		clr = vec4(clrS,1.0);	// background color
	}
	else
	{
		vec2 t = vec2(-b+discr, -b-discr) / 2.0;
		vec3 p = pos + min(t.x,t.y) * dir;
		clr = getColor(normalize(p));
	}

	return clr;
}
]]
return spotball
